Bug 991598 - StorageNodeManager.updateConfiguration(config) returns false when it should return true.
StorageNodeManager.updateConfiguration(config) returns false when it should r...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: ER01
: JON 3.2.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-08-02 16:52 EDT by Varun Khurana
Modified: 2014-01-02 15:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Varun Khurana 2013-08-02 16:52:01 EDT
Description of problem:
StorageNodeManager.updateConfiguration(config) returns false when it should return true and the server goes into maintaineance mode.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Connect to RHQ remote API.

2. Execute the following commands in order

var criteria = new StorageNodeCriteria();

var nodes = StorageNodeManager.findStorageNodesByCriteria(criteria);

var node = nodes.get(0);

var config = StorageNodeManager.retrieveConfiguration(node)

config.setHeapSize(<some string value say 700M or 1G etc.>)

StorageNodeManager.updateConfiguration(config)

Actual results:
It returns false in command line and the server goes into maintaineance mode

Expected results:
It should return true and the server should not go into maintaineance mode.

Additional info:
Comment 1 Stefan Negrea 2013-08-09 20:46:53 EDT
Please retest. This has been corrected by the recent changes done to the way cluster connectivity is reported.
Comment 2 jvlasak 2013-08-13 12:43:35 EDT
CLI allows to set Heap New Size value >= Heap Size value which causes that cassandra is shutting down and server stays in maintenance mode after that.

To start storage node it is necessary to set Heap New Size < Heap Size - found out experimentally setting up -Xmx -Xmn values in cassandra-jvm.properties file).


CLI commands to create the situtation:

var crit = new StorageNodeCriteria();
var nodes = StorageNodeManager.findStorageNodesByCriteria(crit);
var node = nodes.get(0);
var config = StorageNodeManager.retrieveConfiguration(node);

var heapSizeValue = "700M";
var heapNewSizeValue = "700M";  // 700M or higher value

config.setHeapSize(heapSizeValue);
config.setHeapNewSize(heapNewSizeValue);

StorageNodeManager.updateConfiguration(config);
Comment 3 Stefan Negrea 2013-08-14 16:44:50 EDT
Added SLSB validation for heap settings and jmx port settings.

master commit:
https://git.fedorahosted.org/cgit/rhq/rhq.git/commit/modules/enterprise/server/jar/src/main/java/org/rhq?id=c50b47c2ba50ddc9640ec6060313e36aaa86b44f
Comment 4 jvlasak 2013-08-19 09:21:39 EDT
verified

Note You need to log in before you can comment on or make changes to this bug.